import { Grid, ItemType } from "./grid.js";
export default class Wall {
    constructor() {
        this.type = ItemType.wall;
        this.position = {
            column: 0,
            line: 0
        };
        this.shape = this.draw();
    }
    draw() {
        var wall = new createjs.Shape();
        wall.regX = Grid.halfSize;
        wall.regY = Grid.halfSize;
        var g = wall.graphics;
        g.beginFill('white');
        g.drawRoundRect(0, 0, Grid.size, Grid.size, 2);
        return wall;
    }
    asBeenHit() {
        var g = this.shape.graphics;
        g.beginFill('red');
        g.drawRoundRect(0, 0, Grid.size, Grid.size, 2);
    }
}
