import { getAsset } from '../other/preload.js';
import { Grid, ItemType } from "./grid.js";
export default class Food {
    constructor(args) {
        this.type = ItemType.food;
        this.shape = this.draw(args.assetName);
        this.eaten = args.eaten;
        this.position = {
            column: 0,
            line: 0
        };
    }
    draw(assetName) {
        var food = new createjs.Bitmap(getAsset(assetName));
        food.regX = Grid.halfSize;
        food.regY = Grid.halfSize;
        return food;
    }
}
