export default class Interval {
    constructor(args) {
        this.callback = args.callback;
        this.target = args.interval;
        this.count = 0;
    }
    reset() {
        this.count = 0;
    }
    getTarget() {
        if (typeof this.target === 'number') {
            return this.target;
        }
        else {
            return this.target();
        }
    }
    tick(delta) {
        this.count += delta;
        if (this.count >= this.getTarget()) {
            this.count = 0;
            this.callback();
        }
    }
}
