export default class Timeout {
    constructor(args) {
        this.callback = args.callback;
        this.duration = args.duration;
        this.count = 0;
    }
    tick(delta) {
        this.count += delta;
        if (this.count >= this.duration) {
            this.callback();
            return true;
        }
        return false;
    }
}
