export function getData(keys, callback) {
    var objects = {};
    for (var a = 0; a < keys.length; a++) {
        var key = keys[a];
        var value = localStorage.getItem(key);
        objects[key] = value && JSON.parse(value);
    }
    callback(objects);
}
export function setData(items, callback) {
    for (var key in items) {
        if (items.hasOwnProperty(key)) {
            const dataKey = key;
            const item = items[dataKey];
            localStorage.setItem(key, JSON.stringify(item));
        }
    }
    if (callback) {
        callback();
    }
}
